Subject: PPP protocol type for MPLS packets ...

From: Elwin Eliazer <[email-masked]>
Date: Tue, 15 May 2001 09:05:35 -0700 (PDT)

Hi,

Will it be a good practice to disable protocol
field compression (during LCP) as the PPP protocol
field value for MPLS unicast and multicast are
0x0281 and 0x0283, as defined in RFC 3032,
section 4.3, that has the most significant
byte as non-zero?

regards,
Elwin.

=====
-------
Elwin Stelzer Eliazer
Corona Networks
San Jose, CA
408-519-3832
-------

__________________________________________________
Do You Yahoo!?
Yahoo! Auctions - buy the things you want at great prices
http://auctions.yahoo.com/

---

From: Eric Gray <[email-masked]>
Date: Tue, 15 May 2001 13:01:29 -0400

Elwin,

    Quoting from Standard 51 (PPP), section 6.5 towards the bottom of
page 48:

"The Protocol field is never compressed when sending any LCP packet.
 This rule guarantees unambiguous recognition of LCP packets."

====================================================================
Eric/George/Scott,

On a related issue, I notice that - while RFC 3032 lists the MPLSCP
protocol number as 0x8281 - PPP-numbers, located at:

    ftp://ftp.isi.edu/in-notes/iana/assignments/ppp-numbers

Shows this number assigned as follows -

"8281   Tag Switching - Unicast              [Davie]"

I can't recall any discussion about re-assigning this protocol number
and I wonder - is possible at this point to make this happen (between
B. Davie, Cisco and IANA)?

--
Eric Gray

---

From: Elwin Eliazer <[email-masked]>
Date: Tue, 15 May 2001 10:17:18 -0700 (PDT)

Hi Eric,

Thanks for your response.

But my question was not about the MPLSCP (control)
packets.... it is rather the payload MPLS packets.

Could you clarify if you are also referring the
same.

Thanks,
Elwin.

=====
-------
Elwin Stelzer Eliazer
Corona Networks
San Jose, CA
408-519-3832
-------

---

From: Eric Gray <[email-masked]>
Date: Tue, 15 May 2001 13:35:25 -0400

Elwin,

    I misunderstood your question.  I thought you were asking if
PCF should be disabled during LCP (which includes MPLSCP).
Instead you were asking if it should be disabled for the life of
the PPP link (I see now that you were making a comment that
disabling is done during LCP).

    I don't see why it would need to be.  The whole point of PCF
is some protocol number fields can be unambiguously represented
in a single byte (either because they are already in one byte - as
you implied in your query - or because there is an onto mapping
from a two byte representation to a single byte).

    The values 0x0281 and 0x0283 seem to comply with the idea as
explained in section 6.5 - i.e. - the least significant bit in the first
byte is '0' therefore indicating that the next byte is significant.
Hence compression could be turned on, but just would not apply
to MPLS protocol field numbers.

--
Eric Gray